# ai_core.cpp File Reference

Implementation of AI. More...

`#include "../stdafx.h"`
`#include "../core/backup_type.hpp"`
`#include "../core/bitmath_func.hpp"`
`#include "../company_base.h"`
`#include "../company_func.h"`
`#include "../network/network.h"`
`#include "../window_func.h"`
`#include "ai_scanner.hpp"`
`#include "ai_instance.hpp"`
`#include "ai_config.hpp"`
`#include "ai_info.hpp"`
`#include "ai.hpp"`

Go to the source code of this file.

## Detailed Description

Implementation of AI.

Definition in file ai_core.cpp.